summaryrefslogtreecommitdiff
path: root/extra/config
diff options
context:
space:
mode:
authorBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2008-08-27 07:32:11 +0000
committerBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2008-08-27 07:32:11 +0000
commitd59b43ab8e0abe4f99f54dd0055a518dd41af291 (patch)
treeb8bf4167be6359a18309fef1913d76e0dd2498eb /extra/config
parent43558894063bd8e7814a08a723085549d277f145 (diff)
- pull check-lxdialog.sh from linux-2.6.26
Diffstat (limited to 'extra/config')
-rwxr-xr-xextra/config/lxdialog/check-lxdialog.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/extra/config/lxdialog/check-lxdialog.sh b/extra/config/lxdialog/check-lxdialog.sh
index 62e1e0212..5552154cb 100755
--- a/extra/config/lxdialog/check-lxdialog.sh
+++ b/extra/config/lxdialog/check-lxdialog.sh
@@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15
# Check if we can link to ncurses
check() {
- echo -e " #include CURSES_LOC \n main() {}" |
- $cc -xc - -o $tmp 2> /dev/null
+ $cc -xc - -o $tmp 2>/dev/null <<'EOF'
+#include CURSES_LOC
+main() {}
+EOF
if [ $? != 0 ]; then
echo " *** Unable to find the ncurses libraries or the" 1>&2
echo " *** required header files." 1>&2